{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-03-2003
  Versión actual: 1.0.1
  Fecha versión actual: 02-04-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    02-04-2004    Se ha eliminado el atributo SERIE (P8 MULTIEMPRESA)
===============================================================================
}

unit InformeListadoPagosCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, InformeBase, FR_IBXDB, FR_Shape, FR_DSet, FR_DBSet, FR_Class,
  DB, IBCustomDataSet, IBQuery, RdxEmpresaActiva;

type
  TdmInformeListadoPagosCliente = class(TdmInformeBase)
    TablaCab: TfrDBDataSet;
  private
    FCodigoCliente : Variant;
    FNIFCIFCliente : Variant;
    FNombreCliente : Variant;
    FPagos : Double;
    FDebe : Double;
    FTotal : Double;
  protected
    procedure RellenarCabecera(Band: TfrBand); override;
    procedure PrepararConsultas; override;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property CodigoCliente : variant read FCodigoCliente write FCodigoCliente;
    property NIFCIFCliente : variant read FNIFCIFCliente write FNIFCIFCliente;
    property NombreCliente : variant read FNombreCliente write FNombreCliente;
    property Pagos : Double read FPagos write FPagos;
    property Debe : Double read FDebe write FDebe;
    property Total : Double read FTotal write FTotal;
  end;

var
  dmInformeListadoPagosCliente: TdmInformeListadoPagosCliente;

implementation

{$R *.dfm}

uses
  Types, StrFunc, BaseDatos, Constantes, mensajes;

{ TdmInformePagoCliente }

constructor TdmInformeListadoPagosCliente.Create(AOwner: TComponent);
begin
  inherited;
  FNombreInforme := 'InformeListadoPagosCliente.frf';
end;

procedure TdmInformeListadoPagosCliente.PrepararConsultas;
begin
  inherited;
end;

procedure TdmInformeListadoPagosCliente.RellenarCabecera(Band: TfrBand);
var
  iCont : Integer;
  Objeto : TfrView;
begin
  inherited;
  with Band do
  begin
     for iCont := 0 to Objects.Count - 1 do
      begin
        Objeto := Objects[iCont];
        if (Objeto is TfrMemoView) then
        begin
          if (Objeto.Name = 'CabParametros') then
          begin
            with (Objeto as TfrMemoView) do
            begin
              Memo.Clear;
              Memo.Add('Empresa: ' + EmpresaActiva.NombreComercial);
              Memo.Add('');
              Memo.Add(CodigoCliente);
              Memo.Add(NIFCIFCliente);
              Memo.Add(NombreCliente);
            end;
          end;

          if (Objeto.Name = 'Pagos') then
          begin
            with (Objeto as TfrMemoView) do
            begin
              Memo.Clear;
              Memo.Add(FormatFloat(DISPLAY_EUROS2,Pagos));
            end
          end;

          if (Objeto.Name = 'Debe') then
          begin
            with (Objeto as TfrMemoView) do
            begin
              Memo.Clear;
              Memo.Add(FormatFloat(DISPLAY_EUROS2,Debe));
            end
          end;

          if (Objeto.Name = 'Total') then
          begin
            with (Objeto as TfrMemoView) do
            begin
              Memo.Clear;
              Memo.Add(FormatFloat(DISPLAY_EUROS2,Total));
            end
          end;

        end;
      end;
  end;
end;

end.
